<template>
  <div>
    <div v-for="kex in kexes" :key="kex">
      <h6 class="m-0 mt-2 kex-separator">
        <a href="#" @click.prevent="removeKex(kex)"
          >{{ kex }} <i class="fas fa-times"></i
        ></a>
      </h6>
      <a
        href="#"
        class="badge bg-secondary p-1 mx-1"
        v-for="table in data[kex]"
        :key="kex + table"
        @click.prevent="removeTable(kex, table)"
        >{{ table }} <i class="fas fa-times"></i
      ></a>
    </div>
  </div>
</template>

<script>
export default {
  name: "TablesListing",
  emits: ["removeKex", "removeTable"],
  props: {
    //   Data in format {kex: [...tables], another_kex: [...tables]}
    data: { type: Object, default: () => {} },
  },
  computed: {
    kexes() {
      return Object.keys(this.data);
    },
  },
  methods: {
    removeKex(kex) {
      this.$emit("removeKex", kex);
    },
    removeTable(kex, table) {
      this.$emit("removeTable", { kex, table });
    },
  },
};
</script>
